## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.6.0
%bcond_without check
%global debug_package %{nil}

# https://github.com/prometheus/common
%global goipath         github.com/prometheus/common
Version:                0.35.0

%gometa

%global common_description %{expand:
This repository contains Go libraries that are shared across Prometheus
components and libraries.

 - config: Common configuration structures
 - expfmt: Decoding and encoding for the exposition format
 - log: A logging wrapper around logrus
 - model: Shared data structures
 - route: A routing wrapper around httprouter using context.Context
 - version: Version information and metrics}

# This should be removed in Fedora 39
%global godevelheader0  %{expand:
# This package used to be split up to solve a bootstrapping issue.
# golang-github-prometheus-common-promlog-devel has since been merged with
# the main -devel package, so we need this to ensure a smooth update path.
# See https://bugzilla.redhat.com/2109630
Provides: golang-github-prometheus-common-promlog-devel = %{?epoch:epoch:}%{version}-%{release}
Obsoletes: golang-github-prometheus-common-promlog-devel < 0.30.0-6
}
%global golicenses      LICENSE NOTICE
%global godocs          CONTRIBUTING.md MAINTAINERS.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Go libraries shared across prometheus components and libraries

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}


%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
# Go 1.18 deprecated SHA1-RSA
export GODEBUG=x509sha1=1
%gocheck
%endif
%endif

%gopkgfiles

%changelog
* Sat Sep 17 2022 Maxwell G <gotmax@e.email> 0.35.0-4
- Fix update path for golang-github-prometheus-common-promlog-devel
- Resolves rhbz#2109630

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> 0.35.0-3
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.35.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 22 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.35.0-1
- Update to 0.35.0 Close: rhbz#2008041

* Wed Feb 23 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.30.0-5
- Fix FTBFS Close: rhbz#2045604

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.30.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Aug 10 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.30.0-3
- Unbootstrap

* Sun Aug 08 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.30.0-2
- Disable tests for bootstrap

* Sun Aug 08 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.30.0-1
- Update to 0.30.0 Close: rhbz#1930182

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 24 23:08:38 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.15.0-2
- Go 1.16: Disable TestTLSConfig until theissue is resolved upstream

* Thu Dec 03 19:50:53 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.15.0-1
- Update to 0.15.0

* Fri Jul 31 20:28:56 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.0-1
- Update to 0.10.0

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Feb 02 01:59:57 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.1-1
- Update to 0.9.1

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed May 08 22:11:46 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.1-1
- Release 0.4.1

* Thu Apr 11 14:04:15 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.0-1
- Release 0.3.0 (#1668775)

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.18.git38c53a9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0-0.17.git38c53a9
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.16.git38c53a9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.15.git38c53a9
- Temporarily remove the promlog due to missing github.com/go-kit/kit dependency
  resolves: #1599386

* Wed Jun 27 2018 Paul Gier <pgier@redhat.com> - 0-0.14.git38c53a9
- Update to newer snapshot version
- Enable checks for config and log dirs

* Tue Jun 26 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.13.git49fee29
- Upload glide files

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.git49fee29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Sep 22 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.11.git49fee29
- add missing dependency
  related: #1315096

* Fri Sep 22 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.10.git49fee29
- Bump to upstream 49fee292b27bfff7f354ee0f64e1bc4850462edf
  related: #1315096

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.git195bde7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.git195bde7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Mar 15 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.7.git195bde7
- Bump to upstream 195bde7883f7c39ea62b0d92ab7359b5327065cb
  related: #1315096

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6.git4fdc91a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.git4fdc91a
- https://fedoraproject.org/wiki/Changes/golang1.7

* Sun Mar 06 2016 jchaloup <jchaloup@redhat.com> - 0-0.4.git4fdc91a
- Bump to upstream 4fdc91a58c9d3696b982e8a680f4997403132d44
  resolves: #1315096

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.gitffe929a
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.gitffe929a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 16 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.gitffe929a
- First package for Fedora
  resolves: #1272465

